#!/usr/bin/env python
# -*- coding: UTF-8 -*-

import config
import os
import report
import tcp_socket
import protocol
import time


if __name__ == '__main__':
    report.appLoggingConfigure(os.path.dirname(__file__), config.LOGTARGET, ((config.APP_NAME, 'DEBUG'), ), fmt=config.formatter, host=config.LOGHOST, port=config.LOGPORT)
    s = tcp_socket.tcp_server_stp(config.server_ip, port=config.server_port)
    prot = protocol.my_server_protocol(s, secret=config.secret)
    while True:
        time.sleep(0.1)
